
/* Beispiel fuer eine Klasse mit Objektvariablen 
  verschiedener Art
*/
public class TextMitZahl{

  private String wert; // Beispielklasse
  private int zahl; // Beispiel für elementaren Typ

  public TextMitZahl(String wert, int zahl){
    this.wert = wert;
    this.zahl = zahl;
  }

  /* Beispielbeschreibung fürt eine Methode:
   * - was für eine Aufgabe
   * - welche Parameter gibt es
   * - welche Ergebnisse werden unter welchen Bedingungen
   *   erwartet
   */
  public boolean equals(TextMitZahl other){
    if (other == null){
      return /* falsch */ false;  // geht auch als Kommentar
    }

    if (this.wert == null) {
      if (other.getWert() != null) {
        return false;
      }
    } else {
      if (!this.wert.equals(other.getWert())){
        return false;
      }
    }

    return this.zahl == other.getZahl();
  }

  public String getWert(){
    return this.wert;
  }
  
  public int getZahl(){
    return this.zahl;
  }
}
